Search Hierarchy Level

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/hierarchyLevel
API call form
Examples

In Luzmo all columns which deal with text values are of type hierarchy. On such a hierarchy column you can build a hierarchy out of your existing data values. To do so you first need to create hierarchy levels and associate them with a column. By associating hierarchy levels with a column we essentially define how many levels there are in the tree structure and define the metadata of these levels. Afterwards you can push hierarchy updates to the column to populate the tree structure using the hierarchy service .

Users can only read hierarchylevels which are connected via columns to a dataset for which they have read access.

Request parametersResponse schema
count NUMBER

The number of records returned

rows ARRAY[OBJECT]
id UUID
name Multilingual string
Can be executed by:
Entity Reader
Can be associated to:
Column
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
pkg:maven/com.luzmo/sdk@1.0.0
Example Response
200
400
500
{
  "count": 2,
  "rows": [
    {
      "id": "c25b2053-a44e-4748-8310-1a797f6d16ed",
      "level": 0,
      "name": {
        "nl": "Alle",
        "fr": "Tout",
        "en": "All"
      },
      "cardinality": 1,
      "created_at": "2018-08-30T08:05:38.381Z",
      "updated_at": "2018-08-30T08:05:38.381Z",
      "column_id": "c442c981-7bdf-4a53-929b-d39bf6256f8f",
      "color": null
    },
    {
      "id": "83a63a92-8cb3-4f87-9657-d7303c6e890a",
      "level": 1,
      "name": {
        "en": "Product type"
      },
      "cardinality": 0,
      "created_at": "2018-08-30T08:05:38.381Z",
      "updated_at": "2018-08-30T08:05:38.381Z",
      "column_id": "c442c981-7bdf-4a53-929b-d39bf6256f8f",
      "color": null
    }
  ]
}